GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay Class Reference

## Public Member Functions
DayOfWeek | getDayOfWeek ()
void | setDayOfWeek (DayOfWeek value)
OpeningClosingHours | getOpeningHours ()
void | setOpeningHours (OpeningClosingHours value)
OpeningClosingHours | getBreaks ()
void | setBreaks (OpeningClosingHours value)

## Protected Attributes
DayOfWeek | dayOfWeek
OpeningClosingHours | openingHours
OpeningClosingHours | breaks

## Detailed Description

Opening hours (per day) including breaks

Java class for WorkingDay complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="WorkingDay">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="DayOfWeek" type="{http://fpcs.gls-group.eu/v1/Common}DayOfWeek" minOccurs="0"/>
            <element name="OpeningHours" type="{http://fpcs.gls-group.eu/v1/ParcelShop}OpeningClosingHours" minOccurs="0"/>
            <element name="Breaks" type="{http://fpcs.gls-group.eu/v1/ParcelShop}OpeningClosingHours" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 43 of file WorkingDay.java.

## Member Function Documentation

## ◆ getBreaks()

OpeningClosingHours eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.getBreaks | ( |  | ) |

Gets the value of the breaks property.

Returns
  possible object is OpeningClosingHours

Definition at line 109 of file WorkingDay.java.

## ◆ getDayOfWeek()

DayOfWeek eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.getDayOfWeek | ( |  | ) |

Gets the value of the dayOfWeek property.

Returns
  possible object is DayOfWeek

Definition at line 61 of file WorkingDay.java.

## ◆ getOpeningHours()

OpeningClosingHours eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.getOpeningHours | ( |  | ) |

Gets the value of the openingHours property.

Returns
  possible object is OpeningClosingHours

Definition at line 85 of file WorkingDay.java.

## ◆ setBreaks()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.setBreaks | ( | OpeningClosingHours | value | ) |

Sets the value of the breaks property.

Parameters

  value | allowed object is OpeningClosingHours

Definition at line 121 of file WorkingDay.java.

## ◆ setDayOfWeek()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.setDayOfWeek | ( | DayOfWeek | value | ) |

Sets the value of the dayOfWeek property.

Parameters

  value | allowed object is DayOfWeek

Definition at line 73 of file WorkingDay.java.

## ◆ setOpeningHours()

void eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.setOpeningHours | ( | OpeningClosingHours | value | ) |

Sets the value of the openingHours property.

Parameters

  value | allowed object is OpeningClosingHours

Definition at line 97 of file WorkingDay.java.

## Member Data Documentation

## ◆ breaks

OpeningClosingHours eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.breaks
| protected

Definition at line 51 of file WorkingDay.java.

## ◆ dayOfWeek

DayOfWeek eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.dayOfWeek
| protected

Definition at line 47 of file WorkingDay.java.

## ◆ openingHours

OpeningClosingHours eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.WorkingDay.openingHours
| protected

Definition at line 49 of file WorkingDay.java.

The documentation for this class was generated from the following file:

- WorkingDay.java